Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006580opensim[REGION] OpenSim Corepublic2013-03-21 22:052019-02-05 12:27
Reportermewtwo0641 
Assigned Tomewtwo0641 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006580: Phantom/Physical/Temporary can not be set or unset on objects in world
DescriptionPhantom, Physical, and/or Temporary can not be set or unset on objects in world on some viewers. I know for sure that this seems to happen on Phoenix Viewer (Tested 1600 and 1691 on two different computers) There may be other viewers as well.
Steps To Reproduce1. Edit an object in world (Build a new cube or something is fine)

2. Attempt to set Phantom, Physical, and/or Temporary and stop editing the object

3. Should notice that none of these statuses will go in effect.

4. Edit the object again and should notice that the check boxes for the ones previously checked are now gone.
    a. If attempting to do the reverse and unset a set status on an object that already exists with them; the box will be checked again and will remain in which ever status it was previously set to.
TagsNo tags attached.
Git Revision or version numberr/22414
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerPhoenix Viewer
Attached Files

- Relationships

-  Notes
(0024995)
mewtwo0641 (reporter)
2014-01-13 06:11
edited on: 2014-01-13 06:11

Still shows up in master; however I was able to track down the issue to first appear in commit 7bf33d333af6e7393a05940d1ab436f5dce73814 (r/21972) via git bisect.

(0027292)
justincc (administrator)
2015-01-19 17:00

Is this still an issue in current master?
(0027302)
mewtwo0641 (reporter)
2015-01-20 07:29

Yes, still an issue as of commit ac93ba9
(0033847)
mewtwo0641 (reporter)
2019-01-19 04:40

Haven't seen this issue for a very long time; Fixed in master. It only affected Phoenix Viewer that I could tell and that viewer is long obsolete by now.
(0034312)
BillBlight (developer)
2019-02-05 12:27

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2013-03-21 22:05 mewtwo0641 New Issue
2013-03-21 22:06 mewtwo0641 Description Updated View Revisions
2014-01-13 06:11 mewtwo0641 Note Added: 0024995
2014-01-13 06:11 mewtwo0641 Note Edited: 0024995 View Revisions
2015-01-19 17:00 justincc Note Added: 0027292
2015-01-20 07:29 mewtwo0641 Note Added: 0027302
2019-01-19 04:40 mewtwo0641 Note Added: 0033847
2019-01-19 04:40 mewtwo0641 Status new => resolved
2019-01-19 04:40 mewtwo0641 Fixed in Version => master (dev code)
2019-01-19 04:40 mewtwo0641 Resolution open => fixed
2019-01-19 04:40 mewtwo0641 Assigned To => mewtwo0641
2019-02-05 12:27 BillBlight Note Added: 0034312
2019-02-05 12:27 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker